package com.rightanglegames.backtothepast.enemies;

import it.randomtower.engine.ResourceManager;

import org.newdawn.slick.geom.Vector2f;

public class WalkingRobot extends DummyRobot {

	public static final String WALKINGROBOT = "walkingrobot";

	public WalkingRobot(float x, float y) {
		super(x, y);
		health = 100;
		shield = 100;
		leftImg = ResourceManager.getImage(WALKINGROBOT);
		rightImg = leftImg.getFlippedCopy(true, false);
		currentImage = leftImg;
		speed = new Vector2f(SPEED, 0);
		width = 40;
		height = 40;
		setHitBox(6, 2, 24, 38);
		checkGround = false;
	}

}
